# escaper.hh File Reference

Declarations of the escaper class and related functions. More...

Include dependency graph for escaper.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | escaper< T >
| IO Manipulator to escape some characters when displaying them. More...
struct | setesc
| IO Manipulator to set the characters that need to be escaped. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.

## Functions

template<class T >
escaper< T > | make_escaper (const T &w)
| Build an escaper.
std::set< char > & | getesc (std::ostream &ostr)
| Retrieve the escaped characters set of a stream.

## Detailed Description

Declarations of the escaper class and related functions.

See also:
  vcsn::misc::escaper.

Author:
  Thomas Claveirole <thomas.claveirole@lrde.epita.fr>

Definition in file escaper.hh.